com.google.gwt.core.ext.typeinfo

## Interface JParameter

All Superinterfaces:
  HasAnnotations

    public interface JParameter
    extends HasAnnotations

Represents a parameter in a declaration.

### Method Summary

All Methods Instance Methods Abstract Methods
`JAbstractMethod` `getEnclosingMethod()`
`java.lang.String` `getName()`
`JType` `getType()`

### Methods inherited from interface com.google.gwt.core.ext.typeinfo.HasAnnotations

`getAnnotation, getAnnotations, getDeclaredAnnotations, isAnnotationPresent`

### Method Detail

#### getEnclosingMethod

    JAbstractMethod getEnclosingMethod()

#### getName

    java.lang.String getName()

#### getType

    JType getType()